<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/qm_order_pay_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        android:fitsSystemWindows="true"
        app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <com.gingersoft.gsa.cloud.ui.view.OrderPayView
        android:id="@+id/other_pay_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true" />

    <!--    訂單金額詳情view-->
    <com.gingersoft.gsa.cloud.ui.view.MaxHeightRecyclerView
        android:id="@+id/rv_order_pay_bill"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/other_pay_view"
        android:layout_marginBottom="@dimen/dp_10" />

    <!--    食品view-->
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_order_pay_food"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/line_food"
        android:layout_below="@id/qm_order_pay_bar"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10" />

    <View
        android:id="@+id/line_food"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_3"
        android:layout_above="@id/rv_order_pay_bill"
        android:background="@drawable/shape_dash_line"
        android:layerType="software" />
</RelativeLayout>